HanMacWrdKGraphInternal::PictureFrame Struct Referencefinal

Internal: the picture of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::PictureFrame:

## Public Member Functions

| PictureFrame (Frame const &orig)
| constructor
| ~PictureFrame () final
| destructor
std::string | print () const
| print local data
Public Member Functions inherited from HanMacWrdKGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
MWAWBox2f | getBdBox () const
| return the frame bdbox

## Public Attributes

int | m_pictureType
| a type
MWAWVec2i | m_dim
| a dim?
MWAWVec2f | m_borderDim
| the border dim?
int | m_values [7]
| some unknown int
Public Attributes inherited from HanMacWrdKGraphInternal::Frame
int | m_type
| the graph type
long | m_fileId
| the file id
long | m_fileSubId
| the file sub id
int | m_id
| the local id
int | m_page
| the page
MWAWBox2f | m_pos
| the position
float | m_baseline
| the baseline
int | m_posFlags
| the graph anchor flags
MWAWGraphicStyle | m_style
| the style
int | m_borderType
| the border type
MWAWVec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown
bool | m_inGroup
| true if the frame is a child of a group
bool | m_parsed
| true if we have send the data
std::string | m_extra
| an extra string

## Friends

std::ostream & | operator<< (std::ostream &o, PictureFrame const &picture)
| operator<<

## Detailed Description

Internal: the picture of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

## PictureFrame()

HanMacWrdKGraphInternal::PictureFrame::PictureFrame | ( | Frame const & | orig | ) |

inline explicit

constructor

Referenced by operator<<.

## ~PictureFrame()

HanMacWrdKGraphInternal::PictureFrame::~PictureFrame | ( |  | ) |

final

destructor

## Member Function Documentation

## print()

std::string HanMacWrdKGraphInternal::PictureFrame::print | ( |  | ) | const

inline

print local data

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PictureFrame const & | picture )

friend

operator<<

## Member Data Documentation

## m_borderDim

MWAWVec2f HanMacWrdKGraphInternal::PictureFrame::m_borderDim

the border dim?

Referenced by PictureFrame(), and print().

## m_dim

MWAWVec2i HanMacWrdKGraphInternal::PictureFrame::m_dim

a dim?

Referenced by PictureFrame(), and print().

## m_pictureType

int HanMacWrdKGraphInternal::PictureFrame::m_pictureType

a type

Referenced by PictureFrame(), and print().

## m_values

int HanMacWrdKGraphInternal::PictureFrame::m_values[7]

some unknown int

Referenced by PictureFrame(), and print().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx